/* REGEXP.H -- Header file for use with regexp.library
 */

/* Possible return values for RegExpCompile() */
enum errs { ILLEGAL_OP = -99, BAD_COLON_TYPE, NO_COLON_TYPE, BAD_CLASS_TERM,
	UNTERM_CLASS, LARGE_CLASS, EMPTY_CLASS };

/* Flags for RexExpMatch() */
enum flags { FIRST_MATCH = 0, LAST_MATCH = 1 };

/* RegExpBase is really a struct Library *, but it did not seem worthwhile
 * pulling in all those exec header files. */
extern void *RegExpBase;

int		RegExpCompile(char *, char *);
int		RegExpMatch(char *, char *, long *, long *, long);

/* SAS/C pragmas for inline calls to the library. */
#pragma libcall RegExpBase RegExpCompile 24 9802
#pragma libcall RegExpBase RegExpMatch 2A 0BA9805
